Bug 103719 - Add $ORACLE_HOME/jdbc/lib/classes12.zip to classpath in build.xml
Add $ORACLE_HOME/jdbc/lib/classes12.zip to classpath in build.xml
Status: CLOSED WORKSFORME
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 06:01 EDT by Daniel Berrange
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 18:25:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-09-04 06:01:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Currently to build Core/CMS you need to add

ORACLE_HOME/jdbc/lib/classes12.zip

to your CLASSPATH, typically in .bashrc or /etc/profile. It would eliminate a
potential source of trouble for new users if build.xml would automatically add
this to the build classpath if it detects that $ORACLE_HOME is set.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to compile Core, without classes12.zip in your shell's CLASSPATH env var.

    

Additional info:
Comment 1 Dennis Gregorovic 2004-01-23 14:00:05 EST
actually, ccm-profile will add classes12.zip to your CLASSPATH for you
as long as ORACLE_HOME is set.  Do we still need to add it to build.xml?

Note You need to log in before you can comment on or make changes to this bug.